{
  "compilerOptions": {
    "baseUrl": ".",
    "target": "esnext",
    "module": "esnext",
    "moduleResolution": "Bundler",
    "strict": true,
    "jsx": "preserve",
    "sourceMap": true,
    "resolveJsonModule": true,
    "esModuleInterop": true,
    "isolatedModules": true,
    "skipLibCheck": true,
    "lib": ["esnext", "dom", "dom.iterable"],
    "types": ["vite/client", "node"],
    "paths": {
      "@/*": ["./resources/ts/*"],
      "@images/*": ["./resources/images/*"],
      "@styles/*": ["./resources/styles/*"]
    }
  },
  "include": [
    "./resources/ts/**/*",
    "./resources/ts/**/*.vue",
    "./env.d.ts"
  ],
  "exclude": ["node_modules", "dist", "public"]
}
